Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.monte.media.tiff
Enum IFDDataType

    java.lang.Object
      java.lang.Enum<IFDDataType>
          org.monte.media.tiff.IFDDataType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IFDDataType>

    public enum IFDDataType

extends java.lang.Enum<IFDDataType>

Enumeration of TIFF IFD data types.

Sources:

TIFF TM Revision 6.0. Final — June 3, 1992.
Adobe Systems Inc.
http://www.exif.org/specifications.html

Adobe PageMaker® 6.0 TIFF Technical Notes - September 14, 1995
Adobe Systems Inc.
http://www.alternatiff.com/resources/TIFFPM6.pdf

Author:
  werni

Enum Constant Summary
`ASCII` 8-bit byte that contains a 7-bit ASCII code; the last byte must be NUL (binary zero).
`BYTE` 8-bit unsigned integer.
`DOUBLE` Double precision (8-byte) IEEE format.
`FLOAT` Single precision (4-byte) IEEE format.
`IFD` 32-bit (4-byte) unsigned integer pointing to another IFD, as defined in TIFF Tech Note 1 in TIFF Specification Supplement 1.
`LONG` 32-bit (4-byte) unsigned integer.
`RATIONAL` Two LONGs: the first represents the numerator of a fraction; the second, the denominator.
`SBYTE` An 8-bit signed (twos-complement) integer.
`SHORT` 16-bit (2-byte) unsigned integer.
`SLONG` A 32-bit (4-byte) signed (twos-complement) integer.
`SRATIONAL` Two SLONG’s: the first represents the numerator of a fraction, the second the denominator.
`SSHORT` A 16-bit (2-byte) signed (twos-complement) integer.
`UNDEFINED` An 8-bit byte that may contain anything, depending on the definition of the field.

Method Summary
`int` | `getTypeNumber()`
`static IFDDataType` | `valueOf(int typeNumber)` Gets the tag for the specified value.
`static IFDDataType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IFDDataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ASCII

    public static final IFDDataType ASCII

  8-bit byte that contains a 7-bit ASCII code; the last byte must be NUL (binary zero). Represented by a String object in Java.

### BYTE

    public static final IFDDataType BYTE

  8-bit unsigned integer. Represented by a Short object in Java.

### SHORT

    public static final IFDDataType SHORT

  16-bit (2-byte) unsigned integer. Represented by an Int object in Java.

### LONG

    public static final IFDDataType LONG

  32-bit (4-byte) unsigned integer. Represented by a Long object in Java.

### RATIONAL

    public static final IFDDataType RATIONAL

  Two LONGs: the first represents the numerator of a fraction; the second, the denominator. Represented by a Rational object in Java.

### SBYTE

    public static final IFDDataType SBYTE

  An 8-bit signed (twos-complement) integer. Represented by a Byte object in Java.

### UNDEFINED

    public static final IFDDataType UNDEFINED

  An 8-bit byte that may contain anything, depending on the definition of the field. Represented by a Byte object in Java.

### SSHORT

    public static final IFDDataType SSHORT

  A 16-bit (2-byte) signed (twos-complement) integer. Represented by a Short object in Java.

### SLONG

    public static final IFDDataType SLONG

  A 32-bit (4-byte) signed (twos-complement) integer. Represented by an Int object in Java.

### SRATIONAL

    public static final IFDDataType SRATIONAL

  Two SLONG’s: the first represents the numerator of a fraction, the second the denominator. Represented by a Rational object in Java.

### FLOAT

    public static final IFDDataType FLOAT

  Single precision (4-byte) IEEE format. Represented by a Float object in Java.

### DOUBLE

    public static final IFDDataType DOUBLE

  Double precision (8-byte) IEEE format. Represented by a Double object in Java.

### IFD

    public static final IFDDataType IFD

  32-bit (4-byte) unsigned integer pointing to another IFD, as defined in TIFF Tech Note 1 in TIFF Specification Supplement 1. Represented by a Long object in Java.

Method Detail

### values

    public static IFDDataType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IFDDataType c : IFDDataType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IFDDataType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getTypeNumber

    public int getTypeNumber()

### valueOf

    public static IFDDataType valueOf(int typeNumber)

  Gets the tag for the specified value.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD